package com.mosty.common.config.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.common.base.constant.enums.DictTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 字典类别配置表
 * </p>
 *
 * @author kevin
 * @since 2022-02-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("mosty_base.sys_dict")
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value="SysDict对象", description="字典类别配置表")
public class SysDict implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "字典名称")
    private String zdmc;

    /**
     * 字典类型
     *@see DictTypeEnum
     */
    @ApiModelProperty(value = "是否树形字典：1、不是（列表） 2、树形")
    private Integer zdlx;

    @ApiModelProperty(value = "字典业务类别")
    private String zdywlb;

    @ApiModelProperty(value = "字典编号")
    private String zdbh;

    @ApiModelProperty(value = "引用标准")
    private String yybz;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "采集时间")
    private Date xtCjsj;

    @ApiModelProperty(value = "录入时间")
    private Date xtLrsj;

    @ApiModelProperty(value = "录入人姓名")
    private String xtLrrxm;

    @ApiModelProperty(value = "录入人ID")
    private String xtLrrid;

    @ApiModelProperty(value = "录入人部门")
    private String xtLrrbm;

    @ApiModelProperty(value = "录入人部门ID")
    private String xtLrrbmid;

    @ApiModelProperty(value = "录入IP")
    private String xtLrip;

    @ApiModelProperty(value = "最后修改时间")
    private Date xtZhxgsj;

    @ApiModelProperty(value = "最后修改人姓名")
    private String xtZhxgrxm;

    @ApiModelProperty(value = "最后修改人ID")
    private String xtZhxgrid;

    @ApiModelProperty(value = "最后修改人部门")
    private String xtZhxgrbm;

    @ApiModelProperty(value = "最后修改人部门ID")
    private String xtZhxgrbmid;

    @ApiModelProperty(value = "最后修改IP")
    private String xtZhxgip;

    @ApiModelProperty(value = "注销标志0正常 1.注销")
    private Integer xtZxbz;

    @ApiModelProperty(value = "注销原因")
    private String xtZxyy;


}
