package com.mosty.common.config.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 *  添加字典信息请求
 * @author kevin
 * @date 2022/2/20 9:24 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class AddDictItemVO {

    @NotNull(message = "父节点id不能为空")
    @ApiModelProperty(value = "父id： 可能是字典表id，可能是字典明细表id")
    private Long parentId;

    @ApiModelProperty(value = "字典编号", hidden = true)
    @Size(max =  50,message = "字典编码长度不能超过50")
    private String zdbh;

    @ApiModelProperty(value = "字典名称")
    @Size(max =  100,message = "字典名称长度不能超过50")
    private String zdmc;

    @ApiModelProperty(value = "字典代码")
    @Size(max =  50,message = "字典代码长度不能超过50")
    private String dm;

    @ApiModelProperty(value = "字典拼音")
    private String py;

    @ApiModelProperty(value = "排序字典：100在1前面，倒序")
    private Integer px;

    @ApiModelProperty(value = "备注")
    private String bz;

}
