package com.mosty.common.config.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;

/**
 *  添加岗位信息对象
 * @author kevin
 * @date 2022/2/21 12:47 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class AddPositionVO {

    @NotEmpty(message = "岗位编码不能为空")
    @ApiModelProperty(value = "岗位编码")
    @Size(max =  30,message = "岗位编码长度不能超过50")
    private String postCode;

    @NotEmpty(message = "岗位名称不能为空")
    @ApiModelProperty(value = "岗位名称")
    @Size(max =  30,message = "岗位名称长度不能超过50")
    private String postName;

    @ApiModelProperty(value = "岗位描述")
    @Size(max =  200,message = "岗位描述长度不能超过50")
    private String postDesc;

    @ApiModelProperty(value = "备注")
    @Size(max =  200,message = "备注长度不能超过50")
    private String bz;

}
