package com.mosty.common.config.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.Date;

/**
 *  添加系统配置对象
 * @author kevin
 * @date 2022/2/21 8:13 PM
 * @since 1.0.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "添加系统配置对象")
public class AddSysConfigVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotEmpty(message = "配置名称不能为空")
    @ApiModelProperty(value = "配置名称")
    @Size(max =  50,message = "配置名称不能超过50")
    private String pzmc;

    @NotEmpty(message = "配置键不能为空")
    @ApiModelProperty(value = "配置键")
    @Size(max =  500,message = "配置键长度不能超过500")
    private String pzj;

    @NotEmpty(message = "配置值不能为空")
    @ApiModelProperty(value = "配置值")
    @Size(max =  1000,message = "配置键长度不能超过1000")
    private String pzz;

    @ApiModelProperty(value = "备注")
    @Size(max =  200,message = "备注长度不能超过200")
    private String bz;

}
