package com.mosty.common.config.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 *  修改岗位信息对象
 * @author kevin
 * @date 2022/2/21 12:47 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class EditPositionVO {

    @NotNull(message = "岗位id不能为空")
    @ApiModelProperty(value = "主键id")
    private Long id;

    @NotEmpty(message = "岗位编码不能为空")
    @ApiModelProperty(value = "岗位编码")
    private String postCode;

    @NotEmpty(message = "岗位名称不能为空")
    @ApiModelProperty(value = "岗位名称")
    private String postName;

    @ApiModelProperty(value = "岗位描述")
    private String postDesc;

    @ApiModelProperty(value = "备注")
    private String bz;

}
