package com.mosty.common.config.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 *  修改系统配置对象
 * @author kevin
 * @date 2022/2/21 8:13 PM
 * @since 1.0.0
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "添加系统配置对象")
public class EditSysConfigVO implements Serializable {

    /** 序列化标识 */
    private static final long serialVersionUID = -3185962159720155709L;

    @NotNull(message = "系统配置id不能为空")
    @ApiModelProperty("id")
    private Long id;

    @NotEmpty(message = "配置名称不能为空")
    @ApiModelProperty(value = "配置名称")
    private String pzmc;

    @NotEmpty(message = "配置键不能为空")
    @ApiModelProperty(value = "配置键")
    private String pzj;

    @NotEmpty(message = "配置值不能为空")
    @ApiModelProperty(value = "配置值")
    private String pzz;

    @ApiModelProperty(value = "备注")
    private String bz;

}
