package com.mosty.common.config.entity.vo;

import com.mosty.common.base.constant.enums.DictTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 *  修改字典信息VO
 * @author kevin
 * @date 2022/2/9 8:20 PM
 * @since 1.0.0
 */
@Data
public class EditSysDictVO {

    @NotNull(message = "字典id不能为空")
    @ApiModelProperty("字典id")
    private Long id;

    @ApiModelProperty(value = "字典名称")
    @NotEmpty(message = "字典名称不能为空")
    private String zdmc;

    /**
     * 字典类型
     *@see DictTypeEnum
     */
    @NotNull(message = "字典类型不能为空")
    @ApiModelProperty(value = "是否树形字典：1、不是（列表） 2、树形")
    private Integer zdlx;

    @ApiModelProperty(value = "字典业务类别")
    private String zdywlb;

    @NotEmpty(message = "字典编号不能为空")
    @ApiModelProperty(value = "字典编号")
    private String zdbh;

    @ApiModelProperty(value = "引用标准")
    private String yybz;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "注销标志0正常 1.注销")
    private Integer xtZxbz;

}
