package com.mosty.common.config.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 字典明细
 * </p>
 *
 * @author kevin
 * @since 2022-02-09
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="字典信息", description="字典代码值表")
public class SysDictItemVO implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * 字典明细信息
     */
    @ApiModelProperty(value = "字典明细信息")
    private List<SysDictItemVO> itemList;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "字典上级编号")
    private Long zdId;

    @ApiModelProperty(value = "字典编号")
    private String zdbh;

    @ApiModelProperty(value = "字典名称")
    private String zdmc;

    @ApiModelProperty(value = "字典代码")
    private String dm;

    @ApiModelProperty(value = "字典拼音")
    private String py;

    @ApiModelProperty(value = "排序字典：100在1前面，倒序")
    private Integer px;

    @ApiModelProperty(value = "备注")
    private String bz;

}
