package com.mosty.common.core.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * app首页配置-板块内容表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("mosty_base.sys_app_homeconfig_plate_list")
@ApiModel(value="SysAppHomeconfigPlateList对象", description="app首页配置-板块内容表")
public class SysAppHomeconfigPlateList implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "板块ID")
    private Long plateId;

    @ApiModelProperty(value = "内容名称")
    private String nrmc;

    @ApiModelProperty(value = "内容样式")
    private String nrys;

    @ApiModelProperty(value = "路由跳转地址")
    private String tzdz;

    @ApiModelProperty(value = "内容顺序")
    private Integer nrsx;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "采集时间")
    private Date xtCjsj;

    @ApiModelProperty(value = "录入时间")
    private Date xtLrsj;

    @ApiModelProperty(value = "录入人姓名")
    private String xtLrrxm;

    @ApiModelProperty(value = "录入人ID")
    private String xtLrrid;

    @ApiModelProperty(value = "录入人部门")
    private String xtLrrbm;

    @ApiModelProperty(value = "录入人部门ID")
    private String xtLrrbmid;

    @ApiModelProperty(value = "录入IP")
    private String xtLrip;

    @ApiModelProperty(value = "最后修改时间")
    private Date xtZhxgsj;

    @ApiModelProperty(value = "最后修改人姓名")
    private String xtZhxgrxm;

    @ApiModelProperty(value = "最后修改人ID")
    private String xtZhxgrid;

    @ApiModelProperty(value = "最后修改人部门")
    private String xtZhxgrbm;

    @ApiModelProperty(value = "最后修改人部门ID")
    private String xtZhxgrbmid;

    @ApiModelProperty(value = "最后修改IP")
    private String xtZhxgip;

    @ApiModelProperty(value = "注销标志0正常 1.注销")
    private Integer xtZxbz;

    @ApiModelProperty(value = "注销原因")
    private String xtZxyy;


}
