package com.mosty.common.core.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.mosty.common.base.entity.log.Excel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import lombok.Data;
import org.apache.poi.ss.usermodel.IndexedColors;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName(value = "mosty_base.sys_logininfor")
@Data
public class SysLogininfor implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "info_id", type = IdType.AUTO)
    @ApiModelProperty("访问ID")
    private Long infoId;

    @TableField(value = "user_id")
    @ApiModelProperty("人员ID")
    private String userId;

    @TableField(value = "sfzh")
    @ApiModelProperty("身份证号")
    @Excel(name = "身份证号")
    private String sfzh;

    @TableField(value = "user_name")
    @ApiModelProperty("用户账号")
    @Excel(name = "用户账号")
    private String userName;

    @TableField(value = "ipaddr")
    @ApiModelProperty("登录IP地址")
    @Excel(name = "用户账号")
    private String ipaddr;

    @TableField(value = "type")
    @ApiModelProperty("登录方式 01.app登录  02.pc端登录")
    private String type;

    @TableField(value = "status")
    @ApiModelProperty("登录状态（0成功 1失败）")
    private String status;

    @TableField(value = "msg")
    @ApiModelProperty("提示信息")
    @Excel(name = "登录状态")
    private String msg;

    @TableField(value = "browser")
    @ApiModelProperty("浏览器类型")
    @Excel(name = "浏览器类型")
    private String browser;

    @TableField(value = "os")
    @ApiModelProperty("操作系统")
    @Excel(name = "操作系统")
    private String os;

    @TableField(value = "access_time")
    @ApiModelProperty("访问时间")
    @Excel(name = "访问时间")
    private LocalDateTime accessTime;

    @ApiModelProperty(value = "所属部门id")
    @TableField(value = "ssbmid")
    private String ssbmid;

    @ApiModelProperty(value = "所属部门")
    @TableField(value = "ssbm")
    @Excel(name = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "所属部门代码")
    @TableField(value = "ssbmdm")
    @Excel(name = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属县公安局")
    @TableField(value = "ssxgaj")
    private String ssxgaj;

    @ApiModelProperty(value = "所属县公安局id")
    @TableField(value = "ssxgajid")
    private String ssxgajid;

    @ApiModelProperty(value = "所属县公安局代码")
    @TableField(value = "ssxgajdm")
    private String ssxgajdm;

    @ApiModelProperty(value = "所属市公安局id")
    @TableField(value = "sssgajid")
    private String sssgajid;

    @ApiModelProperty(value = "所属市公安局")
    @TableField(value = "sssgaj")
    private String sssgaj;

    @ApiModelProperty(value = "所属市公安局代码")
    @TableField(value = "sssgajdm")
    private String sssgajdm;
}