package com.mosty.common.core.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 菜单表
 * </p>
 *
 * @author kevin
 * @since 2022-02-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("mosty_base.sys_menu")
@ApiModel(value="SysMenu对象", description="菜单表")
public class SysMenu implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "父菜单id")
    private Long parentId;

    @ApiModelProperty(value = "父菜单路径，使用逗号间隔")
    private String parentPath;

    @ApiModelProperty(value = "菜单名称")
    private String menuName;

    @ApiModelProperty(value = "菜单编码")
    private String menuCode;

    @ApiModelProperty(value = "菜单地址")
    private String menuUrl;

    @ApiModelProperty(value = "菜单类型：1、菜单 2、资源")
    private Integer menuType;

    @ApiModelProperty(value = "排序号")
    private Integer orderNo;

    @ApiModelProperty(value = "是否展示：1、展示 2、不展示")
    private Integer showMode;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "采集时间")
    private Date xtCjsj;

    @ApiModelProperty(value = "录入时间")
    private Date xtLrsj;

    @ApiModelProperty(value = "录入人姓名")
    private String xtLrrxm;

    @ApiModelProperty(value = "录入人ID")
    private String xtLrrid;

    @ApiModelProperty(value = "录入人部门")
    private String xtLrrbm;

    @ApiModelProperty(value = "录入人部门ID")
    private String xtLrrbmid;

    @ApiModelProperty(value = "录入IP")
    private String xtLrip;

    @ApiModelProperty(value = "最后修改时间")
    private Date xtZhxgsj;

    @ApiModelProperty(value = "最后修改人姓名")
    private String xtZhxgrxm;

    @ApiModelProperty(value = "最后修改人ID")
    private String xtZhxgrid;

    @ApiModelProperty(value = "最后修改人部门")
    private String xtZhxgrbm;

    @ApiModelProperty(value = "最后修改人部门ID")
    private String xtZhxgrbmid;

    @ApiModelProperty(value = "最后修改IP")
    private String xtZhxgip;

    @ApiModelProperty(value = "注销标志0正常 1.注销")
    private Integer xtZxbz;

    @ApiModelProperty(value = "注销原因")
    private String xtZxyy;

    @ApiModelProperty(value = "子菜单集合")
    @TableField(exist = false)
    private List<SysMenu> sysMenuList;

}
