package com.mosty.common.core.business.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * OSS云存储表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-31
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("mosty_base.sys_oss")
@ApiModel(value="SysOss对象", description="OSS云存储表")
public class SysOss implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "云存储主键")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private String id;

    private String md5;

    @ApiModelProperty(value = "文件名")
    private String fileName;

    @ApiModelProperty(value = "原名")
    private String originalName;

    @ApiModelProperty(value = "文件后缀名")
    private String fileSuffix;

    @ApiModelProperty(value = "URL地址")
    private String url;

    @ApiModelProperty(value = "数据来源(业务表名)")
    private String sjlybm;

    @ApiModelProperty(value = "业务ID")
    private String ywid;

    @ApiModelProperty(value = "添加顺序")
    private Integer tjsx;

    @ApiModelProperty(value = "图片类型：0-缩略图，1-大图")
    private String tplx;

    @ApiModelProperty(value = "服务商")
    private String service;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "采集时间")
    private Date xtCjsj;

    @ApiModelProperty(value = "录入时间")
    private Date xtLrsj;

    @ApiModelProperty(value = "录入人姓名")
    private String xtLrrxm;

    @ApiModelProperty(value = "录入人ID")
    private String xtLrrid;

    @ApiModelProperty(value = "录入人部门")
    private String xtLrrbm;

    @ApiModelProperty(value = "录入人部门ID")
    private String xtLrrbmid;

    @ApiModelProperty(value = "录入IP")
    private String xtLrip;

    @ApiModelProperty(value = "最后修改时间")
    private Date xtZhxgsj;

    @ApiModelProperty(value = "最后修改人姓名")
    private String xtZhxgrxm;

    @ApiModelProperty(value = "最后修改人ID")
    private String xtZhxgrid;

    @ApiModelProperty(value = "最后修改人部门")
    private String xtZhxgrbm;

    @ApiModelProperty(value = "最后修改人部门ID")
    private String xtZhxgrbmid;

    @ApiModelProperty(value = "最后修改IP")
    private String xtZhxgip;

    @ApiModelProperty(value = "注销标志0正常 1.注销")
    private String xtZxbz;

    @ApiModelProperty(value = "注销原因")
    private String xtZxyy;


}
