package com.mosty.common.core.business.entity.request;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * app首页-板块表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_app_homeconfig_plate")
@ApiModel(value="SysAppHomeconfigPlate对象", description="app首页-板块表")
public class SysAppHomeconfigPlatePage extends Page {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "首页ID")
    private Long homeid;

    @ApiModelProperty(value = "板块类型（00-置顶按钮，01-五情板块，02-工作任务板块，03-概况板块，04-风险板块）")
    private String bklx;

    @ApiModelProperty(value = "板块名称")
    private String bkmc;

}
