package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@Accessors(chain = true)
public class AddDeptVO {

    @ApiModelProperty("部门id")
    private Long id;

    @ApiModelProperty("部门代码")
    @NotBlank(message = "部门代码不能为空！")
    private String orgCode;

    @ApiModelProperty("部门名称")
    @NotBlank(message = "部门名称不能为空！")
    private String orgName;

    @ApiModelProperty("部门类型")
    @NotNull(message = "部门类型不能为空！")
    private String orgType;

    @ApiModelProperty("部门等级")
    @NotNull(message = "部门等级不能为空！")
    private String orgLevel;

    @ApiModelProperty("部门业务类型")
    @NotNull(message = "部门业务类型不能为空！")
    private String orgBizType;

    @ApiModelProperty("部门顺序号")
    private String orgNo;

    @ApiModelProperty("上级部门主键")
    private Long parentId;

    @ApiModelProperty("部门名称拼音首字母")
    private String bmpyszm;

    @ApiModelProperty("部门简称")
    private String orgJc;

    @ApiModelProperty("部门全称")
    @NotBlank(message = "部门全称不能为空！")
    private String orgQc;

    @ApiModelProperty("部门地址")
    @NotBlank(message = "部门地址不能为空！")
    private String address;

    @ApiModelProperty("部门电话")
    @NotBlank(message = "部门电话不能为空！")
    private String linkTel;

    @ApiModelProperty("部门联系人")
    private String linkMan;

    @ApiModelProperty("部门联系人电话")
    private String linkManTel;

    @ApiModelProperty("部门主页")
    private String webUrl;

    @ApiModelProperty("部门邮箱")
    private String email;

    @ApiModelProperty("部门所属行政区划")
    private String xzqh;

    @ApiModelProperty("备注")
    private String bz;
}
