package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 添加 部门 用户关联关系
 * @author liyan
 * @date 2022/2/9 8:53 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class AddRoleDeptVO  {

    /**
     * 部门id
     */
    @NotNull(message = "部门id不能为空")
    @ApiModelProperty("部门id")
    private Long deptId;

    /**
     * 角色ids
     */
    @NotEmpty(message = "角色集合不能为空")
    @ApiModelProperty("角色ids")
    private List<Long> roleIds;

}
