package com.mosty.common.core.business.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 *  新增角色对象
 * @author kevin
 * @date 2022/2/18 10:40 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class AddRoleVO {


    /**
     * 角色名称
     */
    @NotEmpty(message = "角色名称不能为空")
    @ApiModelProperty("角色名称")
    private String roleName;

    /**
     * 角色编码
     */
    @NotEmpty(message = "角色编码不能为空")
    @ApiModelProperty("角色编码")
    private String roleCode;

    /**
     * 角色描述
     */
    @ApiModelProperty("角色描述")
    private String roleDesc;

    /**
     * 排序号
     */
    @NotNull(message = "排序号不能为空")
    @ApiModelProperty("排序号")
    private Integer orderNo;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String bz;

    /**
     * 数据权限等级
     */
    @ApiModelProperty("数据权限等级")
    private String dataPermissionLevel;

}
