package com.mosty.common.core.business.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 *  修改系统菜单
 * @author kevin
 * @date 2022/2/22 12:51 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class EditSysMenuVO {

    @NotNull(message = "菜单id不能为空")
    @ApiModelProperty(value = "菜单id")
    private Long id;

    @NotEmpty(message = "菜单名称不能为空")
    @ApiModelProperty(value = "菜单名称")
    private String menuName;

    @NotEmpty(message = "菜单编码不能为空")
    @ApiModelProperty(value = "菜单编码")
    private String menuCode;

    @ApiModelProperty(value = "菜单地址")
    private String menuUrl;

    @NotNull(message = "排序号不能为空")
    @ApiModelProperty(value = "排序号")
    private Integer orderNo;

    @ApiModelProperty(value = "是否展示：1、展示 2、不展示")
    private Integer showMode;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "按钮标识")
    private String buttonResource;

}
