package com.mosty.common.core.business.entity.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

/**
 * 用户和角色关联关系
 */
@Data
@Accessors(chain = true)
public class RoleUserVO implements Serializable {


    private static final long serialVersionUID = 3289683012945300862L;

    @NotEmpty(message = "角色id不能为空")
    @NotNull(message = "用户id不能为空")
    @ApiModelProperty(value = "用户ID")
    private List<Long> userIds;

    @NotEmpty(message = "角色id不能为空")
    @ApiModelProperty(value = "用户IDS")
    private Long roleId;

}