package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

@Data
@Accessors(chain = true)
public class SysUserEditVO {

    @NotEmpty(message = "用户绑定的部门不能为空")
    @ApiModelProperty(value = "用户绑定的部门id集合")
    private List<Long> deptIds;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @NotNull(message = "用户id不能为空")
    @ApiModelProperty(value = "用户ID")
    private Long id;

//    @NotNull(message = "岗位id不能为空")
    @ApiModelProperty(value = "岗位ID")
    private Long positionId;

    @ApiModelProperty(value = "登录账号")
    private String loginName;

    @ApiModelProperty(value = "岗位名称")
    private String positionName;

    @ApiModelProperty(value = "用户昵称")
    private String userName;

    @ApiModelProperty(value = "用户邮箱")
    private String email;

    @ApiModelProperty(value = "移动电话")
    private String mobile;

    @ApiModelProperty(value = "行业号码（如：警号）")
    private String inDustRialId;

    @ApiModelProperty(value = "用户类型（00系统用户 01注册用户）")
    private String userType;

    @ApiModelProperty(value = "电话号码")
    private String telePhone;

    @ApiModelProperty(value = "是否虚拟用户：1、是 2、不是")
    private String isVirtualUser;

    @ApiModelProperty(value = "用户性别（0男 1女 2未知）")
    private String sex;

    @ApiModelProperty(value = "民族")
    private String nation;

    @ApiModelProperty(value = "政治面貌")
    private String politic;

    @ApiModelProperty(value = "婚姻状态")
    private String marital;

    @ApiModelProperty(value = "人员类别")
    private String type;

    @ApiModelProperty(value = "文化程度")
    private String whcd;

    @ApiModelProperty(value = "身份证号")
    private String idEntityCard;

    @ApiModelProperty(value = "出生日期")
    private String birthday;

    @ApiModelProperty(value = "用户有效开始时间，默认为当前日期（用户可改）")
    private Date beginTime;

    @ApiModelProperty(value = "用户有效结束时间，默认空")
    private Date endTime;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "是否融合 0否 1是")
    private String sfrh;

    @ApiModelProperty(value = "模块")
    private String mk;
}
