package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 用户app首页配置表
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_user_app_homeconfig")
@ApiModel(value="SysUserAppHomeconfig对象", description="用户app首页配置表")
public class SysUserHomeconfigVo implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "首页id")
    private Long homeid;

    @ApiModelProperty(value = "首页名称")
    private String homename;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "用户身份证号")
    private String userSfzh;

    @ApiModelProperty(value = "用户姓名")
    private String userXm;

    @ApiModelProperty(value = "色调01-蓝色，02-白色")
    private String sd;

}
