package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.mosty.common.base.autoconfig.Desensitization;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 *  用户信息视图
 * @author kevin
 * @date 2022/2/17 10:08 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
public class SysUserInfoVO {

    @ApiModelProperty(value = "用户ID")
    private Long id;

    @ApiModelProperty(value = "部门Ids")
    private List<Long> deptIds;

    @ApiModelProperty(value = "所属部门代码")
    private String ssbmdm;

    @ApiModelProperty(value = "所属部门")
    private String ssbm;

    @ApiModelProperty(value = "管理部门ID")
    private Long managerOrgId;

    @ApiModelProperty(value = "管理部门名称")
    private String managerOrgName;

    @ApiModelProperty(value = "岗位ID")
    private Long positionId;

    @ApiModelProperty(value = "岗位名称")
    private String positionName;

    @ApiModelProperty(value = "是否虚拟用户：1、是 2、不是")
    private String isVirtualUser;

    @ApiModelProperty(value = "登录账号")
    private String loginName;

    @ApiModelProperty(value = "用户昵称")
    private String userName;

    @ApiModelProperty(value = "用户类型（00系统用户 01注册用户）")
    private String userType;

    @ApiModelProperty(value = "用户邮箱")
    private String email;

    @ApiModelProperty(value = "移动电话")
    private String mobile;

    @ApiModelProperty(value = "电话号码")
    private String telePhone;

    @ApiModelProperty(value = "身份证号")
    private String idEntityCard;

    @ApiModelProperty(value = "行业号码（如：警号）")
    private String inDustRialId;

    @ApiModelProperty(value = "用户性别（0男 1女 2未知）")
    private String sex;

    @ApiModelProperty(value = "民族")
    private String nation;

    @ApiModelProperty(value = "政治面貌")
    private String politic;

    @ApiModelProperty(value = "婚姻状态")
    private String marital;

    @ApiModelProperty(value = "人员类别")
    private String type;

    @ApiModelProperty(value = "文化程度")
    private String whcd;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "出生日期")
    private String birthday;

    @ApiModelProperty(value = "用户有效开始时间，默认为当前日期（用户可改）")
    private Date beginTime;

    @ApiModelProperty(value = "用户有效结束时间，默认空")
    private Date endTime;

    @ApiModelProperty(value = "注销标志0正常 1.注销")
    private Integer xtZxbz;

    @ApiModelProperty(value = "注销原因")
    private String xtZxyz;

    @ApiModelProperty(value = "采集时间")
    private Date xtCjsj;

    @ApiModelProperty(value = "录入时间")
    private Date xtLrsj;

    @ApiModelProperty(value = "录入人姓名")
    private String xtLrrxm;

    @ApiModelProperty(value = "录入人id")
    private Long xtLrrid;

    @ApiModelProperty(value = "录入人部门")
    private String xtLrrbm;

    @ApiModelProperty(value = "录入人部门id")
    private String xtLrrbmid;

    @ApiModelProperty(value = "录入人部门id")
    private String xtLrip;

    @ApiModelProperty(value = "最后修改时间")
    private Date xtZhxgsj;

    @ApiModelProperty(value = "最后修改人姓名")
    private String xtZhxgrxm;

    @ApiModelProperty(value = "最后修改人id")
    private Long xtZhxgid;

    @ApiModelProperty(value = "最后修改人部门")
    private String xtZhxgrbm;

    @ApiModelProperty(value = "最后修改人部门id")
    private Long xtZhxgrbmid;

    @ApiModelProperty(value = "最后修改人ip")
    private String xtZhxgrip;

    @ApiModelProperty(value = "是否融合")
    private String sfrh;

    @ApiModelProperty(value = "模块")
    private String mk;


}
