package com.mosty.common.core.business.entity.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mosty.common.core.business.entity.SysUser;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 *  用户分页展示
 * @author kevin
 * @date 2022/2/17 10:04 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
public class UserPage extends Page<SysUser> {

    @ApiModelProperty("部门id：左边组织机构树选中的部门id")
    private String deptId;

    @ApiModelProperty("登陆名称")
    private String loginName;

    @ApiModelProperty("电话号码")
    private String phone;

    @ApiModelProperty("角色id")
    private Long roleId;

    @ApiModelProperty("orgcode")
    private String orgcode;

    @ApiModelProperty("是否包含下级")
    private String isChild;

    @ApiModelProperty("身份证")
    private String idEntityCard;

    @ApiModelProperty("行业号码（如：警号）")
    private String inDustRialId;
}
