package com.mosty.common.core.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.core.business.entity.SysAppHomeconfigPlate;
import com.mosty.common.core.business.entity.request.SysAppHomeconfigPlatePage;
import com.mosty.common.token.UserInfo;

import java.util.List;

/**
 * <p>
 * app首页-板块表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
public interface SysAppHomeconfigPlateService extends IService<SysAppHomeconfigPlate> {

    /**
     * 新增板块
     * @param plate
     */
    Long saveInfo(SysAppHomeconfigPlate plate, String ipAddress);

    /**
     * 新增板块
     * @param plates
     */
    boolean saveInfoBatch(List<SysAppHomeconfigPlate> plates, String ipAddress);

    /**
     * 修改板块
     * @param plate
     * @param ipAddress
     */
    void updateInfo(SysAppHomeconfigPlate plate, String ipAddress);

    /**
     * 修改板块
     * @param plates
     * @param ipAddress
     */
    void updateInfoBatch(List<SysAppHomeconfigPlate> plates, String ipAddress);

    /**
     * 删除板块
     * @param list
     */
    void delete(List<Long> list, String ipAddress, UserInfo userInfo);

    /**
     * 查询板块
     * @param platePage
     * @return
     */
    IPage<SysAppHomeconfigPlate> selectByPage(SysAppHomeconfigPlatePage platePage);

}
