package com.mosty.common.core.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.core.business.entity.SysAppHomeconfig;
import com.mosty.common.core.business.entity.request.SysAppHomeconfigPage;
import com.mosty.common.core.business.entity.request.SysAppHomeconfigQuery;
import com.mosty.common.core.business.entity.vo.*;
import com.mosty.common.token.UserInfo;

import java.util.List;

/**
 * <p>
 * app首页表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
public interface SysAppHomeconfigService extends IService<SysAppHomeconfig> {

    /**
     * 新增首页应用
     * @param configVO
     */
    Long saveInfo(SysAppHomeconfigVO configVO, String ipAddress);

    /**
     * 修改首页应用
     * @param configVO
     * @param ipAddress
     */
    void updateInfo(SysAppHomeconfigVO configVO, String ipAddress);

    /**
     * 删除首页应用
     * @param list
     */
    void delete(List<Long> list, String ipAddress, UserInfo userInfo);

    /**
     * 查询应用
     * @param cofigPage
     * @return
     */
    IPage<SysAppHomeconfig> selectByPage(SysAppHomeconfigPage cofigPage);

    /**
     * 根据首页id查询模块及内容数据
     * @param configQuery
     * @return
     */
    SysAppHomeconfigRsVO queryConfig(SysAppHomeconfigQuery configQuery);

}
