package com.mosty.common.core.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.core.business.entity.SysLogininfor;
import com.mosty.common.core.business.entity.SysUser;
import com.mosty.common.core.business.entity.request.LoginLogPage;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * @author li
 * @description 针对表【sys_logininfor(系统访问记录)】的数据库操作Service
 * @createDate 2022-03-20 15:01:16
 */
public interface SysLogininforService extends IService<SysLogininfor> {

    // 记录登录日志
    void recordLogininfor(SysUser user, String loginFail, String message,
                          HttpServletRequest httpServletRequest, String type);

    // 删除
    void deleteOperLogByIds(List<Long> ids);

    // 清空
    void cleanOperLog();

    // 分页查询
    IPage<SysLogininfor> selectByPage(LoginLogPage loginLogPage);
}
