package com.mosty.common.core.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.config.entity.vo.EditPositionVO;
import com.mosty.common.core.business.entity.SysPosition;
import com.mosty.common.core.business.entity.vo.PositionPage;

/**
 * <p>
 * 岗位表 服务类
 * </p>
 *
 * @author kevin
 * @since 2022-02-12
 */
public interface SysPositionService extends IService<SysPosition> {

    /**
     * 分页查询岗位信息
     * @param positionPage 分页请求
     * @return 岗位分页
     */
    IPage<SysPosition> selectByPage(PositionPage positionPage);

    /**
     * 修改岗位信息
     * @param oldSysPosition 原岗位信息
     * @param editPositionVO 修改岗位信息请求
     */
    void updateSysPost(SysPosition oldSysPosition, EditPositionVO editPositionVO);
}
