package com.mosty.common.core.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.core.business.entity.SysAppHomeconfigPlateList;
import com.mosty.common.core.business.entity.SysUserAppHomeconfigPlateList;
import com.mosty.common.core.business.entity.request.SysAppHomeconfigPlateListPage;
import com.mosty.common.core.business.entity.request.SysUserAppHomeconfigPlateListPage;
import com.mosty.common.token.UserInfo;

import java.util.List;

/**
 * <p>
 * 用户app首页配置-板块内容表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
public interface SysUserAppHomeconfigPlateListService extends IService<SysUserAppHomeconfigPlateList> {

    /**
     * 新增板块内容
     * @param plate
     */
    Long saveInfo(SysUserAppHomeconfigPlateList plate, String ipAddress);

    /**
     * 新增板块内容
     * @param plates
     */
    boolean saveInfoBatch(List<SysUserAppHomeconfigPlateList> plates, String ipAddress);

    /**
     * 修改首板块内容
     * @param plate
     * @param ipAddress
     */
    void updateInfo(SysUserAppHomeconfigPlateList plate, String ipAddress);

    /**
     * 修改板块内容
     * @param plates
     * @param ipAddress
     */
    void updateInfoBatch(List<SysUserAppHomeconfigPlateList> plates, String ipAddress);

    /**
     * 删除板块内容
     * @param list
     */
    void delete(List<Long> list, String ipAddress, UserInfo userInfo);

    /**
     * 查询应用
     * @param cofigPage
     * @return
     */
    IPage<SysUserAppHomeconfigPlateList> selectByPage(SysUserAppHomeconfigPlateListPage cofigPage);


}
