package com.mosty.common.core.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mosty.common.core.business.entity.SysUserAppHomeconfig;
import com.mosty.common.core.business.entity.request.SysUserAppHomeconfigPage;
import com.mosty.common.core.business.entity.request.SysUserAppHomeconfigQuery;
import com.mosty.common.core.business.entity.vo.SysUserAppHomeconfigVo;
import com.mosty.common.core.business.entity.vo.SysUserHomeconfigVo;
import com.mosty.common.token.UserInfo;

import java.util.List;

/**
 * <p>
 * 用户app首页配置表 服务类
 * </p>
 *
 * @author zengbo
 * @since 2022-08-18
 */
public interface SysUserAppHomeconfigService extends IService<SysUserAppHomeconfig> {

    /**
     * 新增用户首页应用
     * @param config
     */
    Long saveInfo(SysUserAppHomeconfig config, String ipAddress);

    /**
     * 新增用户首页应用
     * @param config
     */
    void saveInfoBatch(List<SysUserAppHomeconfig> config, String ipAddress);

    /**
     * 修改首页应用
     * @param config
     * @param ipAddress
     */
    void updateInfo(SysUserAppHomeconfig config, String ipAddress);


    /**
     * 修改首页应用
     * @param config
     * @param ipAddress
     */
    void updateInfoBatch(List<SysUserAppHomeconfig> config, String ipAddress);

    /**
     * 删除首页应用
     * @param list
     */
    void delete(List<Long> list, String ipAddress, UserInfo userInfo);

    /**
     * 查询用户应用
     * @param cofigPage
     * @return
     */
    IPage<SysUserAppHomeconfig> selectByPage(SysUserAppHomeconfigPage cofigPage);

    /**
     * 查询用户配置
     * @param cofigQuery
     * @return
     */
    List<SysUserAppHomeconfigVo> queryUserConfig(SysUserAppHomeconfigQuery cofigQuery);

    /**
     * 新增用户首页应用
     * @param config
     */
    Long saveDefaultConfig(SysUserHomeconfigVo config, String ipAddress);

}
