package com.mosty.common.core.login;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 *  pki登陆（身份证号登陆）
 * @author kevin
 * @date 2022/4/23 2:28 下午
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@ApiModel("身份证号登陆请求")
public class IdCardLoginRequest {

    /**
     * 身份证号
     */
    @NotEmpty(message = "身份证号不能为空")
    @ApiModelProperty("身份证号")
    private String idCardNo;

}
