package com.mosty.common.core.login;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 *  登陆服务
 * @author kevin
 * @date 2022/2/15 8:26 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@ApiModel("用户登陆请求")
public class LoginEntity {

    @NotEmpty(message = "用户名不能为空！")
    @ApiModelProperty(value = "用户名", required = true)
    private String userName;

    @NotEmpty(message = "密码不能为空！")
    @ApiModelProperty(value = "密码（密码需要进行base64 加密）", required = true)
    private String password;

    @ApiModelProperty(value = "加密token", required = true)
    private String token;

}
