package com.mosty.common.core.login;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 *  登陆服务
 * @author kevin
 * @date 2022/2/15 8:26 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@ApiModel("用户切换部门获取token请求")
public class TokenRequest {

    @NotNull(message = "部门id不能为空！")
    @ApiModelProperty("部门id")
    private Long deptId;

    @NotEmpty(message = "token！")
    @ApiModelProperty("token不能为空")
    private String authorization;

    @ApiModelProperty("是否组装vue路由")
    private Boolean wrapRouter;

}
