package com.mosty.common.core.login;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotEmpty;

/**
 *  登陆服务
 * @author
 * @date 2022/8/12 8:26 PM
 * @since 1.0.0
 */
@Data
@Accessors(chain = true)
@ApiModel("用户登陆请求")
public class UnifiedLoginRequest {

    /**
     * 登陆token
     */
    @NotEmpty(message = "登陆token！")
    @ApiModelProperty(value = "登陆token", required = true)
    private String token;

    /**
     * 密码
     */
    @NotEmpty(message = "系统ID！")
    @ApiModelProperty(value = "系统ID", required = false)
    private String systemId;


}
