package com.mosty.common.core.login.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * @author dw
 * @since 2022/8/1
 * 返回的组织机构对象，包含所属部门 所属分县局 所属地市州
 **/
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "DeptAllVo 对象", description = "返回的组织机构对象，包含所属部门 所属分县局 所属地市州")
public class DeptAllVo implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("所属部门ID")
    private Long deptid;

    @ApiModelProperty("所属部门代码")
    private String deptcode;

    @ApiModelProperty("所属部门名称")
    private String deptname;

    @ApiModelProperty("部门类型")
    private String orgType;

    @ApiModelProperty("部门等级")
    private String orgLevel;

    @ApiModelProperty("部门业务等级")
    private String orgBizType;

    @ApiModelProperty("所属分县局id")
    private Long fxjid;

    @ApiModelProperty("所属分县局代码")
    private String fxjcode;

    @ApiModelProperty("所属分现局名称")
    private String fxjname;

    @ApiModelProperty("所属地市州id")
    private Long dszid;

    @ApiModelProperty("所属地市州代码")
    private String dszcode;

    @ApiModelProperty("所属地市州名称")
    private String dszname;
}
