package com.mosty.common.task.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 任务表
 * @TableName sys_task
 */
@TableName(value ="sys_task")
@Data
public class SysTask implements Serializable {
    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 任务类型
     */
    @TableField(value = "rwlx")
    private String rwlx;

    /**
     * 执行类型
     */
    @TableField(value = "zxlx")
    private Integer zxlx;

    /**
     * 任务紧急程度
     */
    @TableField(value = "rwjjcd")
    private String rwjjcd;

    /**
     * 任务名称
     */
    @TableField(value = "rwmc")
    private String rwmc;

    /**
     * 任务内容
     */
    @TableField(value = "rwnr")
    private String rwnr;

    /**
     * 任务制定时间
     */
    @TableField(value = "rwzdsj")
    private LocalDateTime rwzdsj;

    /**
     * 任务完成时间
     */
    @TableField(value = "rwwcsj")
    private LocalDateTime rwwcsj;

    /**
     * 任务要求完成时间
     */
    @TableField(value = "rwyqwcsj")
    private LocalDateTime rwyqwcsj;

    /**
     * 任务创建人身份证号
     */
    @TableField(value = "rwcjrsfzh")
    private String rwcjrsfzh;

    /**
     * 任务创建人姓名
     */
    @TableField(value = "rwcjrxm")
    private String rwcjrxm;

    /**
     * 任务创建人单位
     */
    @TableField(value = "rwcjrdw")
    private String rwcjrdw;

    /**
     * 任务创建人部门id
     */
    @TableField(value = "rwcjrbm_id")
    private Long rwcjrbmId;

    /**
     * 任务创建人部门名称
     */
    @TableField(value = "rwcjrbmmc")
    private String rwcjrbmmc;

    /**
     * 任务创建人单位id
     */
    @TableField(value = "rwcjrdw_id")
    private Long rwcjrdwId;


    /**
     * 任务创建人电话
     */
    @TableField(value = "rwcjrdh")
    private String rwcjrdh;

    /**
     * 任务创建规则 1.单人任务 2.多人任务
     */
    @TableField(value = "rwcjrgz")
    private Integer rwcjrgz;

    /**
     * 任务执行状态 1，未完成 2.已完成
     */
    @TableField(value = "rwzxzt")
    private Integer rwzxzt;

    /**
     * 任务来源系统
     */
    @TableField(value = "rwlyxt")
    private String rwlyxt;

    /**
     * 任务来源id
     */
    @TableField(value = "rwly_id")
    private String rwlyId;

    /**
     * 任务url
     */
    @TableField(value = "rw_url")
    private String rwUrl;

    /**
     * 任务终端
     */
    @TableField(value = "rwzd")
    private String rwzd;


    /**
     * 应用id
     */
    @TableField(value = "yy_id")
    private Long yyId;

    /**
     * 备注
     */
    @TableField(value = "bz")
    private String bz;

    /**
     * 注销标志0正常 1.注销
     */
    @TableField(value = "xt_zxbz")
    private Integer xtZxbz;

    /**
     * 注销原因
     */
    @TableField(value = "xt_zxyy")
    private String xtZxyy;

    /**
     * 采集时间
     */
    @TableField(value = "xt_cjsj")
    private LocalDateTime xtCjsj;

    /**
     * 录入时间
     */
    @TableField(value = "xt_lrsj")
    private LocalDateTime xtLrsj;

    /**
     * 录入人姓名
     */
    @TableField(value = "xt_lrrxm")
    private String xtLrrxm;

    /**
     * 录入人id
     */
    @TableField(value = "xt_lrrid")
    private Long xtLrrid;

    /**
     * 录入人部门
     */
    @TableField(value = "xt_lrrbm")
    private String xtLrrbm;

    /**
     * 录入人部门id
     */
    @TableField(value = "xt_lrrbmid")
    private Long xtLrrbmid;

    /**
     * 录入人部门id
     */
    @TableField(value = "xt_lrip")
    private String xtLrip;

    /**
     * 最后修改时间
     */
    @TableField(value = "xt_zhxgsj")
    private LocalDateTime xtZhxgsj;

    /**
     * 最后修改人姓名
     */
    @TableField(value = "xt_zhxgrxm")
    private String xtZhxgrxm;

    /**
     * 最后修改人id
     */
    @TableField(value = "xt_zhxgid")
    private Long xtZhxgid;

    /**
     * 最后修改人部门
     */
    @TableField(value = "xt_zhxgrbm")
    private String xtZhxgrbm;

    /**
     * 最后修改人部门id
     */
    @TableField(value = "xt_zhxgrbmid")
    private Long xtZhxgrbmid;

    /**
     * 最后修改人ip
     */
    @TableField(value = "xt_zhxgrip")
    private String xtZhxgrip;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}