package com.mosty.common.task.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 任务下发表
 * @TableName sys_task_item
 */
@TableName(value ="sys_task_item")
@Data
public class SysTaskItem implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 任务id
     */
    @TableField(value = "rw_id")
    private Long rwId;

    /**
     * 任务接受人id
     */
    @TableField(value = "rwjsr_id")
    private Long rwjsrId;

    /**
     * 任务接受人身份证号
     */
    @TableField(value = "rwjsrsfzh")
    private String rwjsrsfzh;

    /**
     * 任务接受人姓名
     */
    @TableField(value = "rwjsrxm")
    private String rwjsrxm;

    /**
     * 任务接受人单位id
     */
    @TableField(value = "rwjsrdw_id")
    private Long rwjsrdwId;

    /**
     * 任务接受人单位
     */
    @TableField(value = "rwjsrdw")
    private String rwjsrdw;

    /**
     * 任务接受人部门id
     */
    @TableField(value = "rwjsrbm_id")
    private Long rwjsrbmId;

    /**
     * 任务接受人部门名称
     */
    @TableField(value = "rwjsrbmmc")
    private String rwjsrbmmc;

    /**
     * 任务状态 0.未查看 1.已查看 2.已完成
     */
    @TableField(value = "rwzt")
    private Integer rwzt;

    /**
     * 任务制定时间
     */
    @TableField(value = "rwzdsj")
    private LocalDateTime rwzdsj;

    /**
     * 任务查看时间
     */
    @TableField(value = "rwcksj")
    private LocalDateTime rwcksj;

    /**
     * 任务完成时间
     */
    @TableField(value = "rwwcsj")
    private LocalDateTime rwwcsj;

    /**
     * 备注
     */
    @TableField(value = "bz")
    private String bz;

    /**
     * 注销标志0正常 1.注销
     */
    @TableField(value = "xt_zxbz")
    private Integer xtZxbz;

    /**
     * 注销原因
     */
    @TableField(value = "xt_zxyy")
    private String xtZxyy;

    /**
     * 采集时间
     */
    @TableField(value = "xt_cjsj")
    private LocalDateTime xtCjsj;

    /**
     * 录入时间
     */
    @TableField(value = "xt_lrsj")
    private LocalDateTime xtLrsj;

    /**
     * 录入人姓名
     */
    @TableField(value = "xt_lrrxm")
    private String xtLrrxm;

    /**
     * 录入人id
     */
    @TableField(value = "xt_lrrid")
    private Long xt_lrrid;

    /**
     * 录入人部门
     */
    @TableField(value = "xt_lrrbm")
    private String xtLrrbm;

    /**
     * 录入人部门id
     */
    @TableField(value = "xt_lrrbmid")
    private String xtLrrbmid;

    /**
     * 录入人部门id
     */
    @TableField(value = "xt_lrip")
    private String xtLrip;

    /**
     * 最后修改时间
     */
    @TableField(value = "xt_zhxgsj")
    private LocalDateTime xtZhxgsj;

    /**
     * 最后修改人姓名
     */
    @TableField(value = "xt_zhxgrxm")
    private String xtZhxgrxm;

    /**
     * 最后修改人id
     */
    @TableField(value = "xt_zhxgid")
    private Long xtZhxgid;

    /**
     * 最后修改人部门
     */
    @TableField(value = "xt_zhxgrbm")
    private String xtZhxgrbm;

    /**
     * 最后修改人部门id
     */
    @TableField(value = "xt_zhxgrbmid")
    private Long xtZhxgrbmid;

    /**
     * 最后修改人ip
     */
    @TableField(value = "xt_zhxgrip")
    private String xtZhxgrip;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;






}