package com.mosty.common.task.entity.vo;

import cn.hutool.db.Page;
import com.mosty.common.token.UserInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@Accessors(chain = true)
public class QueryTaskVO extends Page implements Serializable {
    /**
     * 身份证号
     */
    @ApiModelProperty(value = "身份证号",required = true)
    @NotBlank(message = "身份证号不能为空")
    private String idCardNo;
    /**
     * 部门编码
     */
    @ApiModelProperty(value = "部门编码（获取不到部门id传编码）",required = true)
    private Long deptCode;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门编码",required = true)
    private Long deptId;
    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String taskName;
    /**
     * 任务状态 0 未查看 1已查看 2已完成
     */
    @ApiModelProperty("任务状态 0 未查看 1已查看 2已完成")
    private Integer taskStatus;

    /**
     * 任务来源
     */
    @ApiModelProperty("任务来源 01_智能安防社区 02_公共安全监管 03_三级指挥")
    private Integer source;

    /**
     * 任务类型
     */
    @ApiModelProperty("任务类型 01 核实任务 02 预警指令")
    private Integer taskType;

    /**
     * 任务开始时间
     */
    @ApiModelProperty("任务开始时间")
    private LocalDateTime startTime;

    /**
     * 任务结束时间
     */
    @ApiModelProperty("任务结束时间")
    private LocalDateTime endTime;

}
