package com.mosty.common.task.entity.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.data.annotation.Transient;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

@Data
@Accessors(chain = true)
public class SysTaskItemVO implements Serializable {
    private Long id;

    /**
     * 任务来源id
     */
    @ApiModelProperty("任务来源id")
    private String rwlyId;


    /**
     * 任务类型
     */
    @ApiModelProperty("任务类型")
    private String rwlx;
    /**
     * 任务类型描述
     */
    @ApiModelProperty("任务类型描述")
    private String rwlxDesc;

    /**
     * 任务名称
     */
    @ApiModelProperty("任务名称")
    private String rwmc;

    /**
     * 任务内容
     */
    @ApiModelProperty("任务内容")
    private String rwnr;
    /**
     * 任务Url
     */
    @ApiModelProperty("任务Url")
    private String rwurl;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String idCardNo;

    /**
     * 任务内容
     */
    @ApiModelProperty("任务来源系统")
    private String rwlyxt;


    /**
     * 任务要求完成时间
     */
    @ApiModelProperty(value = "任务要求完成时间")
    private LocalDateTime rwyqwcsj;
    /**
     * 任务日志
     */
    @ApiModelProperty("任务日志")
    private List<SysTaskLogVO> logs;

}
