package com.mosty.common.task.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.common.task.entity.SysTask;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.common.task.entity.vo.QueryTaskVO;
import com.mosty.common.task.entity.vo.SysTaskItemVO;
import org.apache.ibatis.annotations.Param;

/**
* @author liyan
* @description 针对表【sys_task(任务表)】的数据库操作Mapper
* @createDate 2022-04-21 21:31:14
*/
public interface SysTaskMapper extends BaseMapper<SysTask> {
    /**
     * 分页查询
     * @param queryTaskVO
     * @return
     */
    IPage<SysTaskItemVO> findByList(IPage<SysTaskItemVO> page,@Param("param") QueryTaskVO queryTaskVO);

    /**
     * 根据条件查询  执行类型为用户的任务数量
     * @param queryTaskVO
     * @return
     */
    Long countByUser(@Param("param") QueryTaskVO queryTaskVO);

    /**
     * 执行类型为部门  查询对应条件的数量
     * @param queryTaskVO
     * @return
     */
    Long countByDept(@Param("param") QueryTaskVO queryTaskVO);
}




