package com.mosty.operation.log.aspect.feign;

import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.base.entity.log.SysOperLog;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 *   添加操作日志
 * @author kevin
 * @date 2022/3/8 8:37 PM
 * @since 1.0.0
 */
@FeignClient(value = "mosty-base", fallbackFactory = OperationLogFallbackFactory.class,
        contextId = "com.mosty.operation.log.aspect.feign.OperationLogClient")
public interface OperationLogClient {

    // 保存操作日志
    @PostMapping(value = "/mosty-base/provider/monitor/operateLog/save")
    ResponseResult<Boolean> addOperationLog(@RequestBody SysOperLog sysOperLog);

}
